//
//  CoraoolJsBridge.h
//  Coraool
//
//  Created by 果 on 2024/4/30.
//

#ifndef CoraoolJsBridge_h
#define CoraoolJsBridge_h
#import <WebKit/WKWebView.h>
#import <WebKit/WebKit.h>

#endif /* CoraoolJsBridge_h */

@interface CoraoolJsBridge : NSObject

/// 获取实例
+(CoraoolJsBridge *)getInstance;

@property(nonatomic,weak)WKWebView *webView;
-(void)track:(NSString *)params callback:(void (^)(NSDictionary *result))callback;
-(void)trackPageStart:(NSString *)params callback:(void (^)(NSDictionary *result))callback;
-(void)updatePageProperties:(NSString *)params callback:(void (^)(NSDictionary *result))callback;
-(void)trackPageEnd:(NSString *)params callback:(void (^)(NSDictionary *result))callback;
-(void)setup;

/// 适合不更改WKWebView基类的方式
/// @param wkWebView wkWebView
/// @param target 代理方法的实现类
- (void)addJSBridge:(WKWebView *)wkWebView target:(id)target;

/// 适合不更改WKWebView基类的方式
/// @param wkWebView wkWebView
/// @param target 代理方法的实现类
/// @param userContentController userContentController
/// @param message 前端返回的消息
- (void)evaluateJS:(WKWebView *)wkWebView target:(id)target userContentController:(WKUserContentController *)userContentController didReceiveScriptMessage:(WKScriptMessage *)message;
@end
